
Redmine - Defect #12241

Error creating tasks in crontab (Redmine 1.3)

2012-10-28 22:34 - Ilya Levy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

Hello!

Redmine Version 1.3

Please help.

I'm trying to set up a crontab tasks are received by mail.

run crontab

*/1 * * * * cd $HOME/www/site2/public_html/; rake -s Rakefile redmine:email:receive_pop3 RAILS_ENV

="production" > $HOME/tmp/redmine-email.log 2>&1

getting error

/home/my/www/site2/public_html/vendor/rails/activesupport/lib/active_support/inflector.rb:208: [BU

G] Segmentation fault

ruby 1.8.7 (2010-04-19 patchlevel 253) [x86_64-freebsd8.2], MBARI 0x6770, Ruby Enterprise Edition 

2010.02

Code that causes the error

207    def underscore(camel_cased_word)

208      camel_cased_word.to_s.gsub(/::/, '/').

209        gsub(/([A-Z]+)([A-Z][a-z])/,'\1_\2').

210        gsub(/([a-z\d])([A-Z])/,'\1_\2').

211        tr("-", "_").

212        downcase

213    end

How can this be corrected?

Thank you!

History

#1 - 2012-10-28 22:50 - Daniel Felix

Have you tried this with a more recent version of Redmine (1.4.4 or 2.1.2) ?

#2 - 2012-10-29 00:19 - Toshi MARUYAMA

- Category set to Email receiving

#3 - 2012-10-29 00:20 - Toshi MARUYAMA

ruby 1.8.7 (2010-04-19 patchlevel 253) is too old.

#4 - 2012-10-29 00:20 - Toshi MARUYAMA

- Affected version (unused) set to 1.3.0

- Affected version set to 1.3.0

#5 - 2012-10-29 07:02 - Ilya Levy
Daniel Felix wrote:

Have you tried this with a more recent version of Redmine (1.4.4 or 2.1.2) ?

 No, i did not. In the console, without the crontab, the script works correctly.

#6 - 2012-10-29 07:03 - Ilya Levy

Toshi MARUYAMA wrote:

ruby 1.8.7 (2010-04-19 patchlevel 253) is too old.

 Yes, but in the console, without the crontab, the script works correctly. On the same Ruby 1.8.7.

#7 - 2012-10-29 07:27 - Daniel Felix

Ilya Levy wrote:

No, i did not. In the console, without the crontab, the script works correctly.

 Well i will try it on a testserver later. But, I think, that my current installation uses this feature too.

Some tipps:

1. Check your cronusers permissions. Try this cron task with your console user. Maybe this could be a faulty permission.

2. Try this command by adding the parameter "host" (see: http://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails).

3. Try to install a newer version of ruby and redmine and re-run bundler. Maybe some of the programm packages itself have some bugs. It's not

bad to have a more recent version. ;-)

If your running ubuntu or something like this, maybe you could try rvm (https://rvm.io/) which enables you to run different ruby versions on one

server. Ubuntu still uses some older ruby-versions. This way, you can upgrade to a newer version without loosing the older one.

#8 - 2012-10-29 19:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Please, no technical support in the issue tracker.

#9 - 2012-10-29 19:36 - Ilya Levy

Thank you all! Problem was solved, prescribed path

GEM_HOME=/home/my/.gems

GEM_PATH=/home/my/.gems:/usr/local/lib/ruby/gems/1.8/
